function [x]=Gauss(n,a,b)
	for k = 1:n-1,
		for i = k+1:n,
			p = a(i,k)/a(k,k);
			for j = k+1:n,
				a(i,j) = a(i,j)-a(k,j)*p;
			end;
			b(i) = b(i) - b(k)*p;
		end;
	end;
	x(n)=b(n)/a(n,n);
	for i = n-1:-1:1,
		s = b(i);
		for j = n:-1:i+1,
			s = s - a(i,j)*x(j);
		end;
		x(i) = s/a(i,i);
	end;
endfunction
