function [var, x] = gauss_fp(n, a, b) 
    // n = dimens. matricii
    // a = matricea coeficientilor
    // b = vectorul termenilor liberi
    // x = vectorul rezultatelor

    var = 0;
    //Eliminare
   
    lins='L';
    labelv=lins(ones(1,n))+string(1:n);
    cols='C';
    tLib='TL';
    tsol='S';
    labelh=[cols(ones(1,n))+string(1:n) tsol tLib];

    x = zeros(n, 1);
    matGlob=evstr(x_mdialog(['Matricea sistemului';'solutia si termenul liber:'],labelv,labelh,string([a x b])))
										   
    for k = 1:n-1
        if (a(k, k) == 0) then 
              var =  0;
	      x_message('Pivot Nul',['Ok']);
              return; //Eroare
        end;
        for i = k+1:n
            p = a(i, k) / a(k, k);
 		for j = k:n
 		    a(i, j) = a(i, j) - p*a(k, j);
		    //matGlob=evstr(x_mdialog(['Matricea sistemului';'solutia si termenul liber:'],labelv,labelh,string([a x b])))
                end;
		b(i) = b(i) - p*b(k);
                matGlob=evstr(x_mdialog(['S-a anulat elementul termenul a(' + string(i) + ',' + string(k) + '):'],labelv,labelh,string([a x b])))
        end;
    end;
   
    //retrosubstitutie
    if (a(n, n) == 0) then 
        var = 0;//eroare
    end;
    
    x(n) = b(n)/a(n, n);
    matGlob=evstr(x_mdialog(['S-a calculat x('+string(n)+'):'],labelv,labelh,string([a x b])))
    for i = n-1:-1:1
         s = b(i);
         for j = n:-1:i+1
              s = s - a(i, j) * x(j);
         end;
         x(i) = s/a(i, i);
	 matGlob=evstr(x_mdialog(['S-a calculat x('+string(i)+'):'],labelv,labelh,string([a x b])))
    end;
var = 1;
endfunction
